%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name readable-stream

Name: %{?scl_prefix}nodejs-readable-stream
Version: 3.4.0
Release: 1%{?dist}
Summary: Streams3, a user-land copy of the stream library from Node
License: MIT
Group: Development/Libraries
URL: https://github.com/nodejs/readable-stream#readme
Source0: https://registry.npmjs.org/readable-stream/-/readable-stream-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(inherits) >= 2.0.3
Requires: npm(inherits) < 3.0.0
Requires: npm(string_decoder) >= 1.1.1
Requires: npm(string_decoder) < 2.0.0
Requires: npm(util-deprecate) >= 1.0.1
Requires: npm(util-deprecate) < 2.0.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr errors-browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr errors.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr experimentalWarning.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr readable-browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr readable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CONTRIBUTING.md
%doc GOVERNANCE.md
%doc README.md

%changelog
